Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Delete Work Order Signature DELETEGet Work Order Signature GETList Work Order Signatures GETCreate Work Order Signature POST

Resources

ExecutionSignatures

List Work Order Signatures


List signatures captured for the work order with metadata and authorship.

GET
/api/rest/v2/workorders/{work_order_id}/signatures

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/signatures"
{
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20
  },
  "results": [],
  "correlation_id": "string_value",
  "actions": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Get Work Order Signature GET

Previous Page

Create Work Order Signature POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/signatures"